Generate a fact-find snapshot PDF Run in API Explorer

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://apidocs.plannrcrm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
{
  "PlannrCRM MCP server": {
    "url": "https://apidocs.plannrcrm.com/mcp"
  }
}

Close
POST /api/v2/fact-find/templates/{factFindTemplate_uuid}/generate-pdf

Generates a PDF snapshot for the given template and clients. Supports individual snapshots per client and combined circle snapshots.

Headers

  • X-PLANNR-ACCOUNT-UUID string

Path parameters

  • factFindTemplate_uuid string Required
application/json

Body

  • client_uuids string(uuid) Required

    An array of client UUIDs to generate snapshots for.

  • circle_uuid string(uuid)

    The UUID of the circle (optional, for combined view).

  • is_combined_view

    Whether to generate a single combined PDF for all clients.

Responses

  • 401 application/json
    Hide response attribute Show response attribute object
    • message string Required

      A human-readable description of the error.

  • 422 application/json

    Validation error

    Hide response attributes Show response attributes object
    • message string Required

      A human-readable description of the error.

    • errors object

      Validation messages keyed by the field that failed.

      Hide errors attribute Show errors attribute object
      • * array[string] Additional properties
POST /api/v2/fact-find/templates/{factFindTemplate_uuid}/generate-pdf
curl \
 --request POST 'https://api.plannrcrm.com/api/v2/fact-find/templates/6ff8f7f6-1eb3-3525-be4a-3932c805afed/generate-pdf' \
 --header "Authorization: Bearer $ACCESS_TOKEN" \
 --header "Content-Type: application/json" \
 --header "X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}" \
 --data '{"client_uuids":"4587abd7-7aee-4564-8155-baacbba63138","circle_uuid":"b8dfbdf9-f8b4-4533-b30a-953f99a4bd1c","is_combined_view":true}'
Request examples
# Headers
X-PLANNR-ACCOUNT-UUID: {YOUR_PLANNR_ACCOUNT_UUID}

# Payload
{
  "client_uuids": "4587abd7-7aee-4564-8155-baacbba63138",
  "circle_uuid": "b8dfbdf9-f8b4-4533-b30a-953f99a4bd1c",
  "is_combined_view": true
}
Response examples (401)
{
  "message": "Unauthenticated."
}
Response examples (422)
{
  "message": "The given data was invalid.",
  "errors": {
    "field": [
      "The field is invalid."
    ]
  }
}